//
//  ViewController.swift
//  DNSResolverDemo
//
//  Created by issuser on 2025/9/2.
//
import UIKit


class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        self.view.backgroundColor = .white
    }

    @IBAction func SNIBtnClick(_ sender: Any) {
        // 本示例用于演示 HTTPS SNI 场景下的处理方式。
        let sniVC = SNIViewController()
        self.navigationController?.pushViewController(sniVC, animated: true)
    }

    @IBAction func SNICurlBtnClick(_ sender: Any) {
        let sniCurlVC = SNICurlViewController()
        self.navigationController?.pushViewController(sniCurlVC, animated: true)
    }

    @IBAction func WKWebViewBtn(_ sender: Any) {
        guard let url = URL(string: "https://m.taobao.com") else { return }
        // 创建 WebView 控制器
        let webViewController = ProxyWebViewController(url: url)
        self.navigationController?.pushViewController(webViewController, animated: true)
    }

    @IBAction func test(_ sender: Any) {
        // 本示例用于演示普通场景下的处理方式。
        let commonVC = CommonViewController()
        self.navigationController?.pushViewController(commonVC, animated: true)
    }

    @IBAction func requestReportInfoClick(_ sender: Any) {
        // 用于显示统计信息
        let showStatisticsVC = ShowStatisticsViewController()
        self.navigationController?.pushViewController(showStatisticsVC, animated: true)
    }
}
